/**************************************************************************\
*   BC 1.0, WC 10.0, GCC 2.7                    Source: config.h
*   Host platform:   DOS                        Code:   ASCII-7
*   Target platform: DOS                        Code:   ASCII-7
*   Project name:    PGPEd
*   Last change:     14.11.98
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#ifndef __config_h
#define __config_h


/*** Default values for some variables ************************************/
/* You may set it to reasonable values, so you don't need use config file */


/* configuration file location. If it contain path delimeter, then absolute
 * assumed; else it be found in the pgped bin directory */
#define CONFIG "pgped.rc"

/* external editor invoked by PGPEd (editbin) */
#define EDITBIN "edit"

/* external viewer invoked by PGPEd (viewbin) */
#define VIEWBIN "list"

/* PGP binary (pgpbin). You can use macro '$' in start of string -- it will
 * be replaced by the PGPPATH value */
#define PGPBIN "$pgp"

/* PGP path (pgppath) */
#define PGPPATH ""

/* PGP return codes for OK encryption and decryption. I found, that in Linux
 * version of PGP, rc for normal decryption is 256 */
#define PGPRC_ENCR 0
#define PGPRC_DECR 1

/* Default time zone (tzone) */
#define TZONE ""

/* Maximum password length */
#define MAXPASSW 64

/* If UNIQUE_PASSW defined, then a base name of ciphertext (i.e. without
 * extention and path) will be lowercased and added to user passphrase */
#define UNIQUE_PASSW

/* Default extention for ciphertext file and backup copy of ciphertext */
#define CT_EXT ".pgp"
#define SV_EXT ".sav"

#endif

/*** EOF config.h *********************************************************/